package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 保养部位关联项目信息对象 dms_base_station_project
 * 
 * @author zangch
 * @date 2024-09-23
 */
public class DmsBaseStationProject extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 保养部位ID */
    @Excel(name = "保养部位ID")
    private Long maintStationId;

    /** 保养项目ID */
    @Excel(name = "保养项目ID")
    private Long maintProjectId;

    private String maintProjectName;
    private String maintStationCode;
    private String maintStationName;


    /** 保养项目编号 */
    private Long[] productIds;

    public Long[] getProductIds() {
        return productIds;
    }

    public void setProductIds(Long[] productIds) {
        this.productIds = productIds;
    }


    public String getMaintProjectName() {
        return maintProjectName;
    }

    public void setMaintProjectName(String maintProjectName) {
        this.maintProjectName = maintProjectName;
    }

    public String getMaintStationCode() {
        return maintStationCode;
    }

    public void setMaintStationCode(String maintStationCode) {
        this.maintStationCode = maintStationCode;
    }

    public String getMaintStationName() {
        return maintStationName;
    }

    public void setMaintStationName(String maintStationName) {
        this.maintStationName = maintStationName;
    }

    public void setMaintStationId(Long maintStationId)
    {
        this.maintStationId = maintStationId;
    }

    public Long getMaintStationId() 
    {
        return maintStationId;
    }
    public void setMaintProjectId(Long maintProjectId) 
    {
        this.maintProjectId = maintProjectId;
    }

    public Long getMaintProjectId() 
    {
        return maintProjectId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("maintStationId", getMaintStationId())
            .append("maintProjectId", getMaintProjectId())

                .append("maintProjectName",getMaintProjectName())
                .append("maintStationCode",getMaintStationName())
                .append("maintStationName",getMaintStationName())
                .append("productIds",getProductIds())
            .toString();
    }

}
